---
updatedAt: 2026-05-27T08:35:48.000Z
agentTools:
  projectIndex: https://docs.cast.ai/llms.txt
---

# Get used resources for the currently authenticated organization

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "servers": [
    {
      "url": "https://api.cast.ai/",
      "description": "US endpoint"
    },
    {
      "url": "https://api.eu.cast.ai/",
      "description": "EU endpoint"
    }
  ],
  "info": {
    "title": "CAST.AI API documentation",
    "version": "1.0.0",
    "description": "### Feature maturity indicators (may appear on resources, operations and request/response fields)\n - **(BETA)** - new or experimental features, subject to change\n - **(Deprecated)** - outdated or replaced features (a reason and removal date will be provided in the description)\n"
  },
  "tags": [
    {
      "name": "InventoryAPI"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    },
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/v1/organizations/resource-usage": {
      "get": {
        "operationId": "InventoryAPI_GetOrganizationResourceUsage",
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/castai.inventory.v1beta1.GetOrganizationResourceUsageResponse"
                }
              }
            },
            "description": "A successful response."
          }
        },
        "summary": "Get used resources for the currently authenticated organization",
        "tags": [
          "InventoryAPI"
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      },
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key"
      }
    },
    "schemas": {
      "castai.inventory.v1beta1.GetOrganizationResourceUsageResponse": {
        "properties": {
          "instanceTypes": {
            "items": {
              "$ref": "#/components/schemas/castai.inventory.v1beta1.InstanceTypeAggregate"
            },
            "title": "InstanceTypes all instance types used in organization",
            "type": "array"
          }
        },
        "type": "object"
      },
      "castai.inventory.v1beta1.InstanceTypeAggregate": {
        "properties": {
          "clusterId": {
            "title": "ClusterId to which instance type is associated",
            "type": "string"
          },
          "count": {
            "format": "int32",
            "title": "Count defines how many same instance types in same zone and region are used",
            "type": "integer"
          },
          "provider": {
            "description": "Provider name of the instance type.",
            "type": "string"
          },
          "region": {
            "description": "Region of the instance type. This value is provider specific.",
            "type": "string"
          },
          "instanceType": {
            "description": "InstanceType name. This value is provider specific.",
            "type": "string"
          },
          "vcpu": {
            "description": "Vcpu available on the instance type.",
            "format": "int64",
            "type": "string"
          },
          "ram": {
            "description": "Ram (in MiB) available on the instance type.",
            "format": "int64",
            "type": "string"
          },
          "price": {
            "description": "Price of the instance type. $/hour.",
            "type": "string"
          },
          "azId": {
            "description": "Availability zone ID of the instance type.",
            "type": "string"
          },
          "spot": {
            "description": "Spot defines if the instance type is a spot instance.",
            "type": "boolean"
          },
          "nodeIds": {
            "description": "NodeIds of nodes that are using this instance type\nDeprecated: Use nodes instead.",
            "items": {
              "type": "string"
            },
            "type": "array",
            "deprecated": true
          },
          "nodes": {
            "items": {
              "$ref": "#/components/schemas/castai.inventory.v1beta1.NodeUsage"
            },
            "title": "Nodes covered by this commitment",
            "type": "array"
          },
          "usageDistribution": {
            "$ref": "#/components/schemas/castai.inventory.v1beta1.UsageDistribution"
          }
        },
        "title": "InstanceTypeAggregate describes how many instance types of same type are used",
        "type": "object"
      },
      "castai.inventory.v1beta1.NodeUsage": {
        "properties": {
          "nodeId": {
            "title": "NodeId of the node",
            "type": "string"
          },
          "usageDistribution": {
            "$ref": "#/components/schemas/castai.inventory.v1beta1.UsageDistribution"
          },
          "aws": {
            "$ref": "#/components/schemas/castai.inventory.v1beta1.NodeUsage.AWS"
          },
          "gcp": {
            "$ref": "#/components/schemas/castai.inventory.v1beta1.NodeUsage.GCP"
          }
        },
        "title": "Node describes a node covered by a commitment",
        "type": "object"
      },
      "castai.inventory.v1beta1.NodeUsage.AWS": {
        "properties": {
          "capacityReservationId": {
            "title": "Capacity reservation ID if the node is using a capacity reservation",
            "type": "string"
          },
          "capacityReservationType": {
            "$ref": "#/components/schemas/castai.inventory.v1beta1.NodeUsage.AWS.CapacityReservationType"
          }
        },
        "title": "AWS specific node usage information",
        "type": "object"
      },
      "castai.inventory.v1beta1.NodeUsage.AWS.CapacityReservationType": {
        "default": "CAPACITY_RESERVATION_TYPE_UNSPECIFIED",
        "description": "- CAPACITY_RESERVATION_TYPE_UNSPECIFIED: Capacity reservation type not specified\n - ON_DEMAND_CAPACITY_RESERVATION: On-demand capacity reservation\n - CAPACITY_BLOCK: Capacity block",
        "enum": [
          "CAPACITY_RESERVATION_TYPE_UNSPECIFIED",
          "ON_DEMAND_CAPACITY_RESERVATION",
          "CAPACITY_BLOCK"
        ],
        "title": "Capacity reservation type",
        "type": "string"
      },
      "castai.inventory.v1beta1.NodeUsage.GCP": {
        "properties": {
          "capacityReservationId": {
            "title": "Capacity reservation ID if the node is using a capacity reservation (numeric GCP reservation ID)",
            "type": "string"
          },
          "capacityReservationType": {
            "$ref": "#/components/schemas/castai.inventory.v1beta1.NodeUsage.GCP.CapacityReservationType"
          }
        },
        "title": "GCP specific node usage information",
        "type": "object"
      },
      "castai.inventory.v1beta1.NodeUsage.GCP.CapacityReservationType": {
        "default": "CAPACITY_RESERVATION_TYPE_UNSPECIFIED",
        "description": "- CAPACITY_RESERVATION_TYPE_UNSPECIFIED: Capacity reservation type not specified\n - ON_DEMAND_CAPACITY_RESERVATION: On-demand reservation",
        "enum": [
          "CAPACITY_RESERVATION_TYPE_UNSPECIFIED",
          "ON_DEMAND_CAPACITY_RESERVATION"
        ],
        "title": "Capacity reservation type",
        "type": "string"
      },
      "castai.inventory.v1beta1.UsageDistribution": {
        "properties": {
          "cpu": {
            "format": "double",
            "title": "CPU usage percentage",
            "type": "number"
          },
          "memory": {
            "format": "double",
            "title": "Memory usage percentage",
            "type": "number"
          },
          "monetaryAmount": {
            "format": "double",
            "title": "Monetary usage percentage",
            "type": "number"
          }
        },
        "type": "object"
      }
    }
  }
}
```